#version 420
in vec4 gxl3d_Position;
uniform mat4 gxl3d_ModelViewProjectionMatrix;

layout(binding=0, offset=0) uniform atomic_uint ac_vert;

void main()
{
	atomicCounterIncrement(ac_vert);
  gl_Position = gxl3d_ModelViewProjectionMatrix * gxl3d_Position;
}
